aboutsummaryrefslogtreecommitdiffstats
path: root/testing/lua-openrc/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-07 13:29:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-07 13:29:33 +0000
commitbfa49a06ad2f14033e3ccc0edd4c4fe979d0ccce (patch)
treebc9ba89151effdac2f48313e47e81f7897880848 /testing/lua-openrc/APKBUILD
parent768e3586d89f22da78c1655f851ed759255cf556 (diff)
downloadaports-bfa49a06ad2f14033e3ccc0edd4c4fe979d0ccce.tar.gz
aports-bfa49a06ad2f14033e3ccc0edd4c4fe979d0ccce.tar.bz2
aports-bfa49a06ad2f14033e3ccc0edd4c4fe979d0ccce.tar.xz
testing/lua-openrc: new aport
Lua module for OpenRC http://git.alpinelinux.org/cgit/lua-openrc/
Diffstat (limited to 'testing/lua-openrc/APKBUILD')
-rw-r--r--testing/lua-openrc/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/lua-openrc/APKBUILD b/testing/lua-openrc/APKBUILD
new file mode 100644
index 0000000000..56578c4002
--- /dev/null
+++ b/testing/lua-openrc/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor:
+# Maintainer:
+pkgname=lua-openrc
+pkgver=0.1
+pkgrel=0
+pkgdesc="Lua module for OpenRC"
+url="http://git.alpinelinux.org/cgit/lua-openrc/"
+license="GPL"
+depends=lua
+makedepends="lua-dev openrc-dev"
+install=
+subpackages=
+source="http://git.alpinelinux.org/cgit/lua-openrc/snapshot/lua-openrc-$pkgver.tar.bz2"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 rc.so "$pkgdir"/usr/lib/lua/5.1/rc.so
+}
+
+md5sums="9a9ace6b5567179852b1ee04196a0ec3 lua-openrc-0.1.tar.bz2"